1. Orders
Minted Connect
Walletable E-Commerce
  • Partner
  • E-Commerce API
  • Embedded Webview
  • Walletable E-Commerce
  • Customers
    • Create Customer
      POST
    • Update Customer
      PATCH
    • Remove Customer Id
      DELETE
    • Get Customer
      GET
    • Delete Customer
      DELETE
  • Products
    • Get Products
      GET
  • Complete
    • Complete Buy
      POST
    • Complete Sell
      POST
    • Complete Delivery
      POST
  • Orders
    • Get Orders
      GET
    • Get Order Invoice
      GET
    • Receipt
      GET
    • Balance / Wallet
      GET
  • Baskets
    • Get Active Basket
      GET
    • Get Basket
      GET
    • Delete Basket Item
      DELETE
    • Create Basket / Add Basket Item
      POST
    • Clear Basket
      DELETE
    • Update Basket Item
      PATCH
  • Currency Rates
    GET
  • Rate History
    GET
  1. Orders

Get Orders

Testing
Testing Env
https://api.staging.mintedconnect.com
Testing Env
https://api.staging.mintedconnect.com
GET
https://api.staging.mintedconnect.com
/partner/walletable/orders
Last modified:2026-08-05 10:36:46
Maintainer:Not configured

Request

Authorization
Provide your encrypted digest scheme data in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Digest username=guest, realm="test", nonce="2", uri="/uri", response="***"
Query Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --globoff 'https://api.staging.mintedconnect.com/partner/walletable/orders?page=1&total=10&sortBy=created_at&sortType=desc&status=2%2C5&startDate=undefined&endDate=undefined&tx_type=buy%2Csell%2Cdelivery&customer_external_id=&orderId=' \
--header 'api-version: 2' \
--header 'api-version: 3' \
--header 'x-client-id: web' \
--header 'x-client-id: web' \
--header 'Accept-Language: tr' \
--header 'Authorization: Digest <parameters>'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "data": {
        "current_page": 1,
        "data": [
            {
                "id": 11323,
                "guid": "CFC64D54-F7DB-4F1F-AB37-2AF791F15F9A",
                "order_creation_status": "order",
                "external_id": "CFC64D54-F7DB-4F1F-AB37-2AF791F15F9A",
                "increment_id": "10947201502",
                "token": "DnSWWJVR8dSWu3EXMpJXRrYSJlz9tXug",
                "price_token": "vBTXntHrf2PWuFjrZo90qPMx4gPEIhFR",
                "type": "delivery",
                "price": 0,
                "tax": 0,
                "total": 3,
                "payment_cost": 0,
                "paid_total": 3.15,
                "delivery_cost": 3,
                "insurance_price": 0,
                "conversion_price": 0,
                "market_commission": 0,
                "minted_markup_price": 0,
                "silver_craftsmanship": 0,
                "charge_fee": 0,
                "charge_fee_rate": 10,
                "minting_fee": 0,
                "storage_fee": 0,
                "storage_fee_rate": 20,
                "charges_vat": 0.15,
                "vat_rate": 5,
                "currency_code": "AED",
                "status_id": 5,
                "status_name": "Completed",
                "customer": {
                    "external_id": "5ebfd62a-1c08-4252-b7c3-d2e958aeca51",
                    "firstname": "Eugenia",
                    "middlename": "",
                    "lastname": "Weber",
                    "fullname": "Eugenia Weber",
                    "email": "[email protected]",
                    "phone": "+905322808435",
                    "gender": "M",
                    "identity_number": "12345677938",
                    "tax_office": null,
                    "birthdate": "1970-01-31",
                    "account_type": "person"
                },
                "shippingaddress": {
                    "id": 2003,
                    "tax_number": "",
                    "external_id": null,
                    "fullname": "Ahmet Özer",
                    "phone": "+905550001122",
                    "email": "[email protected]",
                    "city": "İstanbul",
                    "county": "Çekmeköy",
                    "district": "Alemdağ",
                    "street": "Bulunmaz Sk.",
                    "zipcode": "34711",
                    "address": "No:1 D:2"
                },
                "billingaddress": null,
                "payment": null,
                "delivery": {
                    "cargo_tracking_url": null,
                    "cargo_tracking_number": null,
                    "estimated_arrival_date": "2026-08-11"
                },
                "order_at": "2026-08-07T16:31:43+03:00",
                "items": [
                    {
                        "item_currency_id": 1000013,
                        "item_currency_name": "Dirham Gold",
                        "product_id": 3000099,
                        "sku": "MNTBAE0001",
                        "product_name": "Minted 1 g 999.9 Gold Bar",
                        "product_weight": 1,
                        "price": 0,
                        "tax_rate": 0,
                        "tax": 0,
                        "amount": 1,
                        "total": 0,
                        "product_serials": [
                            {
                                "serial_number": "RUYA-DEMO-134",
                                "assigned_at": "2026-08-07T13:32:49+00:00"
                            }
                        ],
                        "product_images": [
                            "https://minted-tr.mncdn.com/products/10/Z1P5eT1ggOvmgyS5bwFeW1qZwS41zj5FOL3gu4Fv.png",
                            "https://minted-tr.mncdn.com/products/10/JxMzuWaZkljzWoVXzfKZPWYY2FeAU1TQY1sAtMnv.png",
                            "https://minted-tr.mncdn.com/products/10/qzyXgt51f7ndySM5QpMQqyDN6QBZXqAomsyshp5r.png",
                            "https://minted-tr.mncdn.com/products/10/sKZiiWqLA9PdejL5mG2sMWOyPJl7FWD95ILsYtx4.png"
                        ],
                        "prices": [
                            {
                                "id": 4,
                                "name": "Kargommmm",
                                "price": 3
                            }
                        ]
                    },
                    {
                        "item_currency_id": 1000013,
                        "item_currency_name": "Dirham Gold",
                        "product_id": 3000104,
                        "sku": "MNTBAE0011",
                        "product_name": "Minted 5 g 995.0 Gold Bar",
                        "product_weight": 5,
                        "price": 0,
                        "tax_rate": 0,
                        "tax": 0,
                        "amount": 1,
                        "total": 0,
                        "product_serials": [
                       
Modified at 2026-08-05 10:36:46
Previous
Complete Delivery
Next
Get Order Invoice
Built with